body 
{
    width:100%;
	padding:0px;
	margin:0px;
    background-color: #e9e9e9;
}

html
{
	width:100%;
	padding:0px;
	margin:0px;
}

*
{
	-webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
	-moz-box-sizing: border-box;    /* Firefox, other Gecko */
	box-sizing: border-box;         /* Opera/IE 8+ */
}

header 
{
    width: auto;
    height: auto;
    color: #FFFFFF;
    background-image: url(../images/header_bg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-color: #000000;
    background-position: 50% 0%;
    justify-content: center;
    display: block;
    display: flex;
    align-items: center; 
	padding-top: 100px;
	padding-bottom: 100px;
}


main 
{
    background-color: #E9E9E9;
    width: auto;
}

p
{
    color: #242017;
	font-family: 'Libre Caslon Text', serif;
	font-weight: 300;
	font-style: normal;
    font-size: 17px;
	line-height: 1.5;
	text-align: left!important;
}

* 
{
    padding: 0;
    margin: 0;
}

img 
{
    max-width: 100%;
    height: auto;
}

.slogan 
{
    background-color: #E9E9E9;
    background-image: url(../images/bande_slogan.jpg);
	background-repeat: no-repeat; 
    background-size: cover;
    background-position: center; 
    width: auto;
    padding-top: 40px;
    padding-bottom: 40px;
	display: block;
    display: flex;
    align-items: center; 
}

h1, h2, h3, p
{
    font-family: 'Libre Caslon Text', serif;
    font-weight: 300;
}

h1 
{
   	font-style: normal;
   	font-size: 50px;
   	text-align: center;
	color: #E9E9E9;
   	padding-left: 20%;
   	padding-right: 20%;
   	letter-spacing: 1px;
}

h2 
{
    font-style: normal;
    font-size: 50px;
    text-align: center;
    letter-spacing: 1px;
}

h3 
{
   	font-style: normal;
	font-weight: 100;
    font-size: 30px;
    text-align: center;
	letter-spacing: 1px;
}

h4 
{
   	font-style: normal;
	font-weight: 100;
    font-size: 15px;
    text-align: center;
	letter-spacing: 1px;
}

h5 
{
    font-style: normal;
    color: #fff!important;
    font-size: 22px!important;
    text-align: center!important;
    letter-spacing: 1px;
}

strong
{
    font-weight: bold !important;
}

a 
{
    color: #e3dec1!important;
}

a:hover 
{
    color: #dfd7a2!important;
}

histoire
{
    width: 1200px!important;
    padding-right: 0%;
    height: auto;
    gap: 30px;
    padding-left: 0%;
    min-width: 0px;
}

savoir-faire
{
    width: 1200px;
    padding-top: 0px;
    padding-right: 10%;
    padding-left: 10%;
}

.titre-contenu 
{
    color: #242017;
	font-family: 'Libre Caslon Text', serif;
	font-style: normal;
	font-weight: 300;
    font-size: 50px;
    text-align: left!important;
	letter-spacing: 1px;
	margin-bottom: 25px!important;
}

.titre-galerie 
{
    font-family: 'Libre Caslon Text', serif;
	text-align: center;
	font-weight: 300;
	font-size: 50px;
    width: 100%;
    margin-bottom: 30px;
}

.contenu 
{
    background-color: #E9E9E9;
    background-image: url(../images/img_bg.jpg);
    background-position: center;
	background-repeat: no-repeat;
    background-size: cover;
    width: auto;
    height: auto;
    padding-left: 0%;
    padding-right: 0%;
    padding-top: 75px;
}

section 
{
    max-width: 1000px;
    margin: auto;
    display: flex;
    align-items: center;
    gap: 20px;	
	padding-bottom: 75px;	
}

.section-galerie 
{
    display: flex;
    flex-direction: column;
    align-items: center;
	padding-bottom: 125px;
}

.gallery
{
    display: grid;
    grid-template-columns: repeat(3, 1fr); 
    gap: 15px;
    justify-items: center!important;
    align-items: center!important;
}

.gallery img 
{
    width: auto;
    height: auto;
    border-radius: 8px;
}

.gallery a img
{
    cursor: pointer;
    transition: all 0.3s ease;
    display: block;
    border-radius: 8px;
}

.gallery a img:hover 
{
    transform: scale(1.05);
    filter: brightness(1.1);
    box-shadow: 0 10px 20px rgba(0,0,0,0.3);
}

img, .photo-eric
{
    display: block; 
    width: 100%;
    height: auto;
    border-radius: 8px!important;
}

.btn 
{
    display: inline-block;
    padding: 10px 20px;
    background: #e7e5d8;
    color: black;
    text-decoration: none;
    border-radius: 50px;
    margin-top: 30px;
	font-size: 20px;
    text-align: center;
	align-items: center;
}

.btn:hover 
{
    transform: scale(0.90);
    transition: transform 0.2s ease;
    cursor: pointer;
}

li
{
    color: #242017;
    font-family: 'Libre Caslon Text', serif;
    font-weight: 300;
    font-style: normal;
    font-size: 17px;
    line-height: 1.5;
    padding-left: 2%;
    padding-right: 2%;
    margin-bottom: 15px;
}

footer 
{
    background-color: #000000;
    background-image: url(../images/footer_bg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    height: 100%;
    margin: 0;
    padding: 0;
    width: auto;
    justify-content: center;
    display: flex;
    flex-direction: column;
    align-items: center; 
}

.footer-content 
{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 100px 20px;
    text-align: center;
}

.footer-content, h2
{
    font-style: normal;
    color: #fff!important;
    font-size: 40px;
    text-align: center!important;
    letter-spacing: 1px;
}

.footer-content .h4
{
    font-style: normal;
    color: #fff!important;
    font-size: 22px!important;
    text-align: center!important;
    letter-spacing: 1px;
}

.footer-bas 
{
    width: 100%;
    height: 90px;
    background-color: #e7e5d8;
    display: flex;
    display: -webkit-flex;
    align-items: center!important;
    justify-content: center!important;
    padding-left: 10%;
    padding-right: 10%;
}

.logo
{
    display: flex;
    justify-content: center;
    max-width: 70%;
}

#texte-contact 
{
    font-style: normal;
    color: #fff !important;
    font-size: 18px !important;
    text-align: center !important;
    letter-spacing: 1px;
	display: flex;         /* Active le mode Flexbox */
    flex-direction: column; /* Aligne les enfants verticalement */
    align-items: center;    /* Centre tous les éléments horizontalement */
    margin-top: 20px;
}

#texte-contact p 
{
   text-align: center;
    color: #fff;
    font-size: 18px;
    margin: 5px 0; /* Gère l'espacement vertical entre les lignes */
}


/* --- Media Queries --- */


@media (max-width: 1200px)
{
    h1 
    {
        font-size: 40px;
        padding-left: 10%;
        padding-right: 10%;
    }
    
    h2.titre-contenu,
    h2.titre-galerie
    {
        font-size: 40px;
    }
    
    h2
    {
        font-size: 34px;
    }
    
    h3
    {
        font-size: 26px;
    }
    
    .contenu 
    {
        padding-left: 5%;
        padding-right: 5%;
        padding-top: 25px;
        align-items: center;
    }
    
}


	
@media (max-width: 1000px) 
{	

    h1 
    {
        font-size: 34px;
    }
    
    h2.titre-contenu,
    h2.titre-galerie
    {
        font-size: 34px;
    }

    h2
    {
        font-size: 28px;
    }
    
    h3
    {
        font-size: 24px;
    }
    

    .slogan 
    {
        padding-left: 5%;
        padding-right: 5%;
    }
    
    #histoire > .content,
    #histoire > .photo-eric
    {
        width: 50%;
    }
	
    
    
}
	
@media (max-width: 800px) 
{
    header, section 
    {
        flex-direction: column;
        width: 100%;
        padding-left: 5%;
        padding-right: 5%;
    }
    
    .gallery 
	{
        grid-template-columns: 1fr;
		gap: 10px;
    }

    .gallery img
	{
        width: 100%;
        height: auto;
    }
	
	slogan 
    {
        padding-left: 5%;
        padding-right: 5%;
    }
	
	h1 
    {
        font-size: 28px;
    }
    
    h2.titre-contenu,
    h2.titre-galerie
    {
        font-size: 28px;
    }
	
	h2
    {
        font-size: 24px;
    }

	h3
    {
        font-size: 22px;
    }
	
	.contenu 
    {
        padding-left: 5%;
        padding-right: 5%;
        padding-top: 25px;
        align-items: center;
    }
    
    #histoire > .content, #histoire > .photo-eric
    {
        width: 100%;
    }
}

@media (max-width: 500px) 
{
	
	
    
	header
	{
	    width: auto!important;
    }
	
	section 
    {
        max-width: 500px;
        margin: auto;
        display: flex;
        align-items: center;
        gap: 20px;	
        padding-bottom: 75px;	
    }

	h1 
    {
        font-size: 24px;
        padding-left: 5%;
        padding-right: 5%;
    }
    
    h2.titre-contenu,
    h2.titre-galerie
    {
        font-size: 24px;
    }
    
    h2
    {
        font-size: 22px;
    }
    
    h3
    {
        font-size: 20px;
    }
		
	
	p
    {
        font-size: 16px;
    }
	
	
	
	
	
	#histoire
    {
        align-content: left;
    }

	.footer-bas 
    {
        font-size: 12px;
        padding-left: 10%!important;
        padding-right: 10%!important;
    }
}